# std::back_insert_iterator::operator=

From cppreference.com
< cpp‎ | iterator‎ | back insert iterator

| (1) |
back_insert_iterator<Container>& operator=( typename Container::const_reference value ); |  | (until C++11)
back_insert_iterator<Container>& operator=( const typename Container::value_type& value ); |  | (since C++11)
back_insert_iterator<Container>& operator=( typename Container::value_type&& value ); | (2) | (since C++11)

Inserts the given value `value` to the container.

1) Results in container->push_back(value)
2) Results in container->push_back(std::move(value))

### Parameters

value | - | the value to insert

### Return value

*this

### Example

| This section is incomplete Reason: no example

### Example

Run this code

    #include <iostream>
    #include <iterator>
    #include <vector>

    void print(const std::vector<int>& vec)
    {
        std::cout << "[";
        for (auto& elem : vec)
            std::cout << " " << elem;
        std::cout << " ]\n";
    }

    int main()
    {
        std::vector<int> vec;
        std::back_insert_iterator< std::vector<int> > it(vec);

        for (int i=0; i<10; ++i)
            it = i; // calls vec.push_back(i)

        print(vec);
    }

Output:

    [ 0 1 2 3 4 5 6 7 8 9 ]

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/back_insert_iterator/operator%3D&oldid=75852"
Category:

- Todo no example